Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		goffice
Version:	0.6.1
Release:	1
Provides:	%{name}
License:	GNU/LGPL 
URL:		ftp://ftp,gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	document-centric objects library
BuildRequires:	libICE-devel
BuildRequires:  ORBit2-devel
BuildRequires:  libSM-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  atk-devel
BuildRequires:  libbonobo-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  GConf-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libglade-devel
BuildRequires:  glib-devel
BuildRequires:  libgnome-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  libgnomeprint-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  libgsf-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  pcre-devel
BuildRequires:  popt
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel


%description
GOffice is a library of document-centric objects and utilities building on top of GLib and Gtk+ and used by software such as Gnumeric.

%package 	devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description 	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary: 	%{name} documents.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description	doc
%{name} documents.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build

./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
            --sysconfdir=%_sysconfdir/gnome \
            --localstatedir=/var/lib \
            --mandir=$(pkg-config --variable=prefix ORBit-2.0)/share/man \
	    --libexecdir=%_gnomedir/sbin \
	    --disable-debug \
	    --enable-optimize \
	    --enable-final
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
### stripping package ###
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_libdir/goffice
%_datadir/goffice
%_datadir/locale
%_datadir/pixmaps

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/pkgconfig
%_libdir/*.la
%_libdir/*.so

%files doc
%defattr(-,root,root)
%_datadir/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.1-1
- Version update
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.5-1
- Version update
* Sat Sep 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0-1
- Initial Release
